Bug 988022 - new vm - advanced options are not clearly organized [NEEDINFO]
new vm - advanced options are not clearly organized
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 10:32 EDT by Alissa
Modified: 2013-12-29 06:14 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-29 06:14:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michal.skrivanek: needinfo? (mrao)
michal.skrivanek: needinfo? (ehildesh)


Attachments (Terms of Use)
advanced options (58.42 KB, image/png)
2013-07-24 10:32 EDT, Alissa
no flags Details

  None (edit)
Description Alissa 2013-07-24 10:32:20 EDT
Created attachment 777822 [details]
advanced options

Description of problem:
When selecting "show advanced options" in new VM dialog (or edit VM), there are several levels of advanced options that are displayed in very unstructured and confusing way:
1. 2 tabs - General and Console that always are shown(even when "advanced options" are not shown), continue to be displayed with additional fields in them.
in those tabs mentioned in item 1, there are some additional advanced options added in 3 sections in a very messy way : 2-3 advanced fields (usb, monitors, smartcard, etc), then additional "advanced parameters" section with just one field in it (disable strict user checking), and then additional 2-3 advanced fields (soundcard, virtio).
2.several additional subtabs appear in the dialog on the left in strange order , splitting General and Console tabs appearance one after another - some appear after General, some after Console so the order of the tabs changes.


Steps to Reproduce:
1. press on "new VM"

Suggestions:
1. Keep General and Console tabs one after another no matter if advanced options are shown or not. Add the additional advanced subtabs after both of them.
2. Have all the advanced fields in General/Console tab grouped under "advanced parameters" section and not just spread in different ways on the dialog , and having in addition "advanced parameters" section with just one field in it.
3. Not sure it's clear to the user to look for advanced options both in new subtabs that appear, and also in General and Console tabs that always appear. Consider reorganizing it so it is always clear where to look for "advanced".
Comment 1 Michal Skrivanek 2013-07-25 06:06:17 EDT
Malini, Eldan, thoughts?
anything we want to rush for 3.3?
Comment 2 Itamar Heim 2013-12-29 06:14:13 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.